Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4962 - Doesn't work with newer e2fsprogs
Summary: Doesn't work with newer e2fsprogs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: dump
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-07 20:26 UTC by enrico.scholz
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 06:47:32 UTC


Attachments (Terms of Use)

Description enrico.scholz 1999-09-07 20:26:32 UTC
mke2fs of the e2fsprogs-package>=1.15 is creating
filesystems with revision level #1 by default.

This revision level is not understood by dump and aborts
dump with "Get a newer version of dump!".

Comment 1 Jeff Johnson 1999-09-08 15:52:59 UTC
What version of dump are you using? The latest in Raw Hide is
dump-0.4b4-9.

Comment 2 enrico.scholz 1999-09-09 01:12:59 UTC
Some information about my system:
$ rpm -q dump e2fsprogs
dump-0.4b4-9
e2fsprogs-1.15-2

$ dumpe2fs /dev/hda1 | head
dumpe2fs 1.15, 18-Jul-1999 for EXT2 FS 0.5b, 95/08/09
Filesystem volume name:   /boot
Last mounted on:          <not available>
Filesystem UUID:          ....
Filesystem magic number:  0xEF53
Filesystem revision #:    1 (dynamic)    <---- dump accepts only == 0
Filesystem features:      sparse_super
Filesystem state:         not clean
Errors behavior:          Continue
Filesystem OS type:       Linux
Inode count:              4016

$ /sbin/dump -0u -f - /dev/hda1
  DUMP: Date of this level 0 dump: Thu Sep  9 03:09:45 1999
  DUMP: Date of last level 0 dump: the epoch
  DUMP: Dumping /dev/hda1 (/boot) to standard output
/dev/hda1: while opening filesystem
Get a newer version of dump!



/dev/hda1 was formated by "mke2fs /dev/hda1"

Comment 3 enrico.scholz 1999-09-09 07:14:59 UTC
Some information about my system:
$ rpm -q dump e2fsprogs
dump-0.4b4-9
e2fsprogs-1.15-2

$ dumpe2fs /dev/hda1 | head
dumpe2fs 1.15, 18-Jul-1999 for EXT2 FS 0.5b, 95/08/09
Filesystem volume name:   /boot
Last mounted on:          <not available>
Filesystem UUID:          ....
Filesystem magic number:  0xEF53
Filesystem revision #:    1 (dynamic)    <---- dump accepts only == 0
Filesystem features:      sparse_super
Filesystem state:         not clean
Errors behavior:          Continue
Filesystem OS type:       Linux
Inode count:              4016

$ /sbin/dump -0u -f - /dev/hda1
  DUMP: Date of this level 0 dump: Thu Sep  9 03:09:45 1999
  DUMP: Date of last level 0 dump: the epoch
  DUMP: Dumping /dev/hda1 (/boot) to standard output
/dev/hda1: while opening filesystem
Get a newer version of dump!



/dev/hda1 was formated by "mke2fs /dev/hda1"

Comment 4 Bill Nottingham 2000-02-05 06:47:59 UTC
This has been fixed in the dump currently in Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.